Bug 138258 - ifup-wireless won't set an open wireless key
ifup-wireless won't set an open wireless key
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-11-06 07:11 EST by Robert Bertram
Modified: 2014-03-16 22:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-08 00:06:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Bertram 2004-11-06 07:11:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914

Description of problem:
There appears to be a but in ifup-wireless that will not allow an open
wireless key to be set properly. The error appears on line 62 where
$KEY is in quotes. Removing the quotes fixes the problem.

If keys-eth1 contains KEY='open s:somekey' the wireless card won't be
configured properly. If it takes the form KEY1='open s:somekey' then
all is good.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install Fedora/Redhat
2.Configure keys-eth1 with open wep
3.Bring the card up

Actual Results:  open wep not configured.

Expected Results:  open wep configured

Additional info:
Comment 1 Bill Nottingham 2004-11-08 00:06:05 EST
This is fixed in FC3.

Note You need to log in before you can comment on or make changes to this bug.